petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESMSRegister

register a multistage scheme

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMSRegister(SNESMSType name,PetscInt nstages,PetscInt nregisters,PetscReal stability,const PetscReal gamma[],const PetscReal delta[],const PetscReal betasub[])

Not Collective, but the same schemes should be registered on all processes on which they will be used

### Input Parameters

| name | - identifier for method
| nstages | - number of stages
| nregisters | - number of registers used by low-storage implementation
| gamma | - coefficients, see Ketcheson's paper
| delta | - coefficients, see Ketcheson's paper
| betasub | - subdiagonal of Shu-Osher form

### Notes

The notation is described in Ketcheson (2010) Runge-Kutta methods with minimum storage implementations.

### Keywords

SNES, register

### See Also

SNESMS

### Level

advanced

### Location

src/snes/impls/ms/ms.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages